Results 1 to 7 of 7

Thread: Php4 To Php5

  1. #1
    Join Date
    Apr 2005
    Location
    Tinterweb
    Posts
    555

    Question Php4 To Php5

    I'm currently running PHP 4.4.4 on a cPanel server. Is it Ok to upgrade to PHP 5 or should I hang on for a bit longer until scripts can support PHP 5, or do most scripts support it now?

    Thanks

  2. #2
    Most scripts support it. Some don't, so if you have customers on a shared server, they might be mad.

    You need to do it eventually though. I guess it would be best to send out an e-mail saying that you are going to do it a while in advance.

  3. #3
    Join Date
    Oct 2002
    Location
    Hong Kong
    Posts
    165
    Biggest changes are in OOP scripts. (Object Oriented Programming)

  4. #4
    Join Date
    Sep 2002
    Location
    Top Secret
    Posts
    11,687
    Is it ok to upgrade? Sure, it's always OK to upgrade. It's been about 2 years now, so there shouldn't be any huge issues.

    As stated before, some developers don't support php5. If they still don't, after this period of time, then it's pretty safe to say that they won't, period.

    Do the upgrade, if you get too many complaints from users, they can update their software, or you can go back to php4, it's really not that hard to do
    WHMCS Guru - WHMCS addons, management, support and more.
    WHMCS Notifications Extended - Add slack, hipchat, SMS, pushover to WHMCS !!
    Always looking for Linux, WHMCS, Support Desk work. PM for details

  5. #5
    Join Date
    Apr 2005
    Location
    Tinterweb
    Posts
    555

    Question Php4 To Php5

    Thanks for that, I have upgraded to PHP 5.04. When I upgraded I noticed there are a few more PHP versions. Should I upgrade to 5.1* or stick with 5.04?

  6. #6
    When I had a Cpanel server, I just upgraded to the latest one that Cpanel supported, it was ok...

    I guess you would need to look on the PHP website and read what's new in each version to make a decision.

  7. #7
    Join Date
    Sep 2002
    Location
    Top Secret
    Posts
    11,687
    Should I upgrade to 5.1* or stick with 5.04?
    That depends on your needs. php5.1 is the latest, however, it's not supported by modernbill, and many other applications, so be careful there.

    I believe the latest release in the 5.0.x series if 5.0.5, so if you have to use 5.0.x, use that.
    WHMCS Guru - WHMCS addons, management, support and more.
    WHMCS Notifications Extended - Add slack, hipchat, SMS, pushover to WHMCS !!
    Always looking for Linux, WHMCS, Support Desk work. PM for details

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •